## ftools-fv 5.3+dfsg

=== ftools/guis/Makefile ===
HD_COMPONENT_NAME	= ftools

HD_COMPONENT_VERS	=

HD_SUBDIRS		= fitsTcl powclient fgui fv xdf xsut
# unused: flaunch lheatkcon

include ${HD_STD_MAKEFILE}

=== tcltk/pow/Makefile ===
HD_COMPONENT_NAME	= tcltk

HD_COMPONENT_VERS	= 

HD_LIBRARY_ROOT		= pow

HD_LIBRARY_SRC_c	= PowCanvCurve.c PowColormap.c PowCommands.c \
			  PowCreateCurve.c PowCreateData.c PowCreateGraph.c \
			  PowCreateImage.c PowCreateVector.c \
			  PowEventHandlers.c PowGrid.c PowInit.c PowUtils.c \
			  PowWCS.c Visu_colors.c Visu_generic.c Visu_Init.c \
			  Visu_lut.c Visu_shared_colors.c Visu_tkImgPict.c
# unused: orbit.c PowDrvr.c readpha.c tclShared.c tkAppInit.c

HD_CFLAGS		= -I${TCL_DIR}/../generic -I${TK_DIR}/../generic \
			  ${XINCLUDES} ${HD_STD_CFLAGS} \
			  -DVISU_LIBRARY=\"${HD_LIB}/pow\"

HD_INSTALL_LIBRARIES	= ${HD_LIBRARY_ROOT}

HD_SHLIB_LIBS		= ${HD_LFLAGS} -l${CFITSIO} -l${TCL} -l${TK} ${XLIBS}

HD_INSTALL_SHELL_SCRIPTS	= POWplot

HD_INSTALL_HEADERS	= pow.h tkpict.h

HD_INSTALL_EXTRA	= install-pow-extras

default: build-libpow

all: default publish

include ${HD_STD_MAKEFILE}

WCSLIB_OBJ_TMP	= ${shell cd ${WCSLIB_DIR}/C; ${MAKE} echo_modules FLAVOUR=${WCSFLAV} WCSTRIG=WRAPPER | grep fitshdr}

WCSLIB_OBJ	= ${shell echo ${WCSLIB_OBJ_TMP} | sed "s: : ${WCSLIB_DIR}/C/:g" | sed "s:^:${WCSLIB_DIR}/C/:"}

${WCSLIB_OBJ}:
	@for file in ${WCSLIB_OBJ}; do \
		if [ ! -f $$file ]; then \
			echo "Cannot find WCSLIB object $$file"; exit 1; \
		fi; \
	done

build-libpow:
	@if [ "x${WCSLIB_OBJ}" = x ]; then \
		echo "WCSLIB_OBJ macro is empty"; exit 1; \
	fi
	${HD_MAKE} pow HD_LIBRARY_ROOT=pow \
		HD_LIBRARY_OBJ="${HD_LIBRARY_SRC_c:.c=.${OSUF}} ${WCSLIB_OBJ}"
 

POW_TCL			= html_library.tcl notebook.tcl Notifications.tcl \
			  PowCmdsClass.tcl powEdit.tcl powImgProbe.tcl \
			  powMovie.tcl POWplot.tcl powProfile.tcl powRgn.tcl \
			  powRuler.tcl powScript.tcl pow.tcl RegionList.tcl \
			  Region.tcl Shape.tcl visu_widgets.tcl tclIndex \
			  powXRange.tcl

POW_HTML		= About.html Blinking.html Color.html Contours.html \
			  DefaultOptions.html EditGraphs.html Edit.html \
			  EditObjects.html File.html Labels.html \
			  Moving_Graphs.html Options.html Overview.html \
			  POWAPI.html Probe.html Profile.html Regions.html \
			  ROI.html Ruler.html Scripting.html Tools.html \
			  PrintControl.html XRange.html

POW_EXTRAS		= mhh7.gif stretcharrow.xbm
# pow.def pow.dsp pow.dsw powMacResource.r pow.pch pow.sit.hqx

install-pow-extras:
	@for extra in ${POW_TCL} ${POW_HTML} ${POW_EXTRAS}; do \
		${HD_INSTALL} $$extra ${HD_LIB}/pow/$$extra ${HD_CP_P}; \
	done

=== ftools/guis/fv/Makefile ===
HD_COMPONENT_NAME	= ftools

HD_COMPONENT_VERS	= 

HD_INSTALL_EXTRA	= install-fv

include ${HD_STD_MAKEFILE}

FV_LIBRARY		= class doc fvInit.tcl

install-fv:
	@for item in ${FV_LIBRARY}; do \
		${HD_INSTALL} $$item ${HD_LIB}/fv/$$item ${HD_CP_P}; \
	done
	@${HD_INSTALL} fv ${HD_BIN}/fv ${HD_CP_P}

#cygwin:
#	@if [ "x${EXT}" = xwin ]; then \
		lhea-install ${LHEA_SRC}/tcltk2/fv/fv-cygwin ${LHEA_BIN}/fv; \
	else \
		lhea-install ${LHEA_SRC}/tcltk2/fv/fv ${LHEA_BIN}/fv; \
	fi

=== ftools/guis/powclient/Makefile ===
HD_COMPONENT_NAME	= ftools

HD_COMPONENT_VERS	= 

HD_LIBRARY_ROOT		= powclient

HD_LIBRARY_SRC_c	= PowClient.c PowCreateData.c PowDataCommands.c \
			  PowDataUtils.c

HD_CFLAGS		= ${HD_STD_CFLAGS} ${XINCLUDES}

HD_INSTALL_LIBRARIES	= ${HD_LIBRARY_ROOT}

HD_INSTALL_HEADERS	= powdata.h

HD_INSTALL_EXTRA	= install-pow-extras

include ${HD_STD_MAKEFILE}

POWCLIENT_EXTRAS	= POWplotClient.tcl

install-pow-extras:
	@for extra in ${POWCLIENT_EXTRAS}; do \
		${HD_INSTALL} $$extra ${HD_LIB}/pow/$$extra ${HD_CP_P}; \
	done

=== debian/changelog ===
ftools-fv (5.3+dfsg-4) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed FTBFS with new Tcl/Tk after dropping /usr/bin/tclsh alternative
    and removing patch for tclPort.h.

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 10 Oct 2013 09:20:23 +0200

ftools-fv (5.3+dfsg-3) unstable; urgency=low

  * Call wish8.5 and depend of tk8.5 (required because we use itcl{3}
    which depends on tk8.5). Closes: #725689
  * Push standard to 3.9.4 w/o changes.
  * Propagate CPPFLAGS and LDFLAGS for hardening.

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 09 Oct 2013 11:13:33 +0200

ftools-fv (5.3+dfsg-2) unstable; urgency=low

  * Fix FTBS on hurd

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 18 Oct 2012 11:46:07 +0200

ftools-fv (5.3+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #682205
  * Replaces old "fv" package. Closes: #527670, #359142, #473002, #499725,
    #592693, #259548

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 03 Sep 2012 12:15:00 +0200

=== debian/control ===
Source: ftools-fv
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libcfitsio3-dev,
               tcl8.5-dev,
               tk8.5-dev,
               wcslib-dev
Standards-Version: 3.9.4
Homepage: http://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ftools-fv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ftools-fv.git

Package: ftools-fv
Architecture: all
Depends: ftools-pow, itcl3, itk3, iwidgets4, ${misc:Depends}, ${shlibs:Depends}
Conflicts: fv
Replaces: fv
Suggests: saods9, xpa-tools
Description: Tool for viewing and editing FITS format files
 Fv provides a graphical user interface to data stored in FITS
 (Flexible Image Transport System) files.  Local files can be created,
 viewed and edited, files on the internet can be opened read-only
 through the http and ftp protocols. Through the POWplot program,
 FITS data can be visualized in a large variety of styles.  An
 interface to the SkyView online database allows for searching,
 downloading, and plotting of images and object lists for a region of
 the sky.

Package: ftools-pow
Architecture: any
Depends: itcl3,
         itk3,
         iwidgets4,
         tcl-fitstcl,
         tix,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Curve plotting and image display interface tool
 POW is a curve plotting and image display interface tool written and
 distributed by the HEASARC at NASA/GSFC.
 .
 POW features a very flexible developer's interface and a "friendly" end user
 GUI interface. POW is a Tcl/Tk extension and can be called from standard C or
 FORTRAN main programs.

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/(.)/.$1/g;s/^\.//,dversionmangle=s/\+dfsg// \
 http://heasarc.gsfc.nasa.gov/FTP/software/lheasoft/fv/fv(.+)_src\.tar\.gz \
 debian \
 debian/repack-dfsg.sh

## ftools-fv 5.4+dfsg

=== tcltk/pow/Makefile ===
--- 
+++ 
@@ -32,9 +32,22 @@
 
 include ${HD_STD_MAKEFILE}
 
-WCSLIB_OBJ_TMP	= ${shell cd ${WCSLIB_DIR}/C; ${MAKE} echo_modules FLAVOUR=${WCSFLAV} WCSTRIG=WRAPPER | grep fitshdr}
+# Get cfitsio source files and prepend ${CFITSIO_DIR} prefix to each filename.
+CFITSIO_OBJ_TMP		= ${shell if [ -f ${CFITSIO_DIR}/Makefile ]; then ${MAKE} -f ${CFITSIO_DIR}/Makefile cfitsioLibObjs; fi | grep buffers}
 
-WCSLIB_OBJ	= ${shell echo ${WCSLIB_OBJ_TMP} | sed "s: : ${WCSLIB_DIR}/C/:g" | sed "s:^:${WCSLIB_DIR}/C/:"}
+CFITSIO_OBJ		= ${shell if [ "x${CFITSIO_OBJ_TMP}" != "x" ]; then echo ${CFITSIO_OBJ_TMP}; fi | sed "s: : ${CFITSIO_DIR}/:g" | sed "s:^:${CFITSIO_DIR}/:"}
+
+${CFITSIO_OBJ}:
+	@for file in ${CFITSIO_OBJ}; do \
+		if [ ! -f $$file ]; then \
+			echo "Cannot find CFITSIO object $$file"; exit 1; \
+		fi; \
+	done
+
+# Get wcslib source files and prepend ${WCSLIB_DIR} prefix to each filename.
+WCSLIB_OBJ_TMP	= ${shell if [ -f ${WCSLIB_DIR}/makedefs ]; then cd ${WCSLIB_DIR}/C; ${MAKE} echo_modules FLAVOUR=${WCSFLAV} WCSTRIG=WRAPPER; fi | grep fitshdr}
+
+WCSLIB_OBJ	= ${shell if [ "x${WCSLIB_OBJ_TMP}" != "x" ]; then echo ${WCSLIB_OBJ_TMP}; fi | sed "s: : ${WCSLIB_DIR}/C/:g" | sed "s:^:${WCSLIB_DIR}/C/:"}
 
 ${WCSLIB_OBJ}:
 	@for file in ${WCSLIB_OBJ}; do \
@@ -44,11 +57,14 @@
 	done
 
 build-libpow:
+	@if [ "x${CFITSIO_OBJ}" = x ]; then \
+		echo "CFITSIO_OBJ macro is empty"; exit 1; \
+	fi
 	@if [ "x${WCSLIB_OBJ}" = x ]; then \
 		echo "WCSLIB_OBJ macro is empty"; exit 1; \
 	fi
 	${HD_MAKE} pow HD_LIBRARY_ROOT=pow \
-		HD_LIBRARY_OBJ="${HD_LIBRARY_SRC_c:.c=.${OSUF}} ${WCSLIB_OBJ}"
+		HD_LIBRARY_OBJ="${HD_LIBRARY_SRC_c:.c=.${OSUF}} ${CFITSIO_OBJ} ${WCSLIB_OBJ}"
  
 
 POW_TCL			= html_library.tcl notebook.tcl Notifications.tcl \

=== ftools/guis/fgui/Makefile ===
HD_COMPONENT_NAME	= ftools

HD_COMPONENT_VERS	= 

HD_INSTALL_EXTRA	= install-fgui

HD_INSTALL_HELP		= doc/fgui.html doc/fileSelection.html

include ${HD_STD_MAKEFILE}

FGUI_LIBRARY		= class doc fguiInit.tcl

install-fgui:
	@for item in ${FGUI_LIBRARY}; do \
		${HD_INSTALL} $$item ${HD_LIB}/fgui/$$item ${HD_CP_P}; \
	done
	@${HD_INSTALL} fgui ${HD_BIN}/fgui ${HD_CP_P}
	@${HD_INSTALL} spawnToolCmds.csh ${HD_BIN}/spawnToolCmds.csh ${HD_CP_P}

=== debian/changelog ===
ftools-fv (5.4+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild against libwcs5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Jan 2016 12:41:23 +0100

ftools-fv (5.4+dfsg-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Aug 2015 10:11:56 +0200

ftools-fv (5.3+dfsg-7) unstable; urgency=low

  * Change default temp location to /tmp
  * Convert POW to multi-arch
  * Make POW suitable for Tcl >= 8.6

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Jul 2015 20:49:39 +0200

ftools-fv (5.3+dfsg-6) unstable; urgency=low

  * build-depend on libcfitsio-dev instead of libcfitsio3-dev. Closes: #761708
  * Update uploader e-mail
  * Update standards version to 3.9.6. No changes needed.
  * Create upstream/metadata with bibliographic information

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Apr 2015 12:30:37 +0200

ftools-fv (5.3+dfsg-5) unstable; urgency=low

  * Change maintainer to debian-astro
  * [Nicolas Sévelin-Radiguet] Fix FTBFS with clang instead of gcc.
    Closes: #743702
  * Push standard version to 3.9.5. No changes needed.

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 06 Apr 2014 12:37:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: ftools-fv
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <debian@liska.ath.cx>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libcfitsio3-dev,
-               tcl8.5-dev,
-               tk8.5-dev,
+               libcfitsio-dev | libcfitsio3-dev,
+               tcl-dev,
+               tk-dev,
                wcslib-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ftools-fv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ftools-fv.git
+Vcs-Git: git://anonscm.debian.org/debian-astro/packages/ftools-fv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/ftools-fv.git
 
 Package: ftools-fv
 Architecture: all
@@ -32,6 +32,7 @@
 
 Package: ftools-pow
 Architecture: any
+Multi-Arch: same
 Depends: itcl3,
          itk3,
          iwidgets4,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf "(cd tcltk/pow ; autoreconf)"

override_dh_auto_configure:
	dh_auto_configure -D tcltk/pow -- CC=gcc

override_dh_auto_build:
	dh_auto_build -D tcltk/pow

override_dh_auto_install:
	dh_auto_install -D tcltk/pow

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/ftools-*/usr/share/ftools/*/*.tcl

override_dh_auto_clean:
	fgrep -q WCSLIB_OBJ_TMP tcltk/pow/Makefile || dh_auto_clean -D tcltk/pow

=== debian/watch ===
# watch control file for uscan
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/$/+dfsg/ \
 http://heasarc.gsfc.nasa.gov/FTP/software/lheasoft/fv/fv(.+\..+)_src\.tar\.gz

## ftools-fv 5.5+dfsg

=== ftools/include/Makefile ===
HD_COMPONENT_NAME	= ftools

HD_COMPONENT_VERS	=

HD_INSTALL_HEADERS	= cfitsio.h ftools.h ftoolstruct.h pctype.h pfile.h

include ${HD_STD_MAKEFILE}

=== tcltk/plt/Makefile ===
HD_COMPONENT_NAME	= tcltk

HD_COMPONENT_VERS	= 

HD_LIBRARY_ROOT		= plt

HD_LIB_STYLE		= ${HD_LIB_STYLE_F77}

HD_LIBRARY_SRC_f	= actwin.f akima.f akinte.f codsub.f cram.f \
			  curfit.f dscale.f fit.f fitit.f gamma.f gthelp.f \
			  hdecod.f ifgrp.f isact.f moment.f pgdev.f pgplot.f \
			  plconb.f ploger.f pltcct.f pltcur.f plt.f plthis.f \
			  pltlab.f pltskp.f pltsub.f pltxc.f ptbuf.f rdqdp.f \
			  rescal.f set_pgdev.f spline.f weight.f wrqdat.f \
			  wrtcol.f wrtcon.f wrtima.f yorn.f

HD_FFLAGS		= ${HD_STD_FFLAGS}

HD_INSTALL_LIBRARIES	= ${HD_LIBRARY_ROOT}

HD_INSTALL_HELP		= plt.hlp

include ${HD_STD_MAKEFILE}

=== tcltk/pow/Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 
 HD_INSTALL_LIBRARIES	= ${HD_LIBRARY_ROOT}
 
-HD_SHLIB_LIBS		= ${HD_LFLAGS} -l${CFITSIO} -l${TCL} -l${TK} ${XLIBS}
+HD_SHLIB_LIBS		= ${HD_LFLAGS} -l${CFITSIO} -l${TCL} -l${TK} ${XLIBS} ${CURL_LIB}
+
+HD_ADD_SHLIB_LIBS	= yes
 
 HD_INSTALL_SHELL_SCRIPTS	= POWplot
 
@@ -56,6 +58,9 @@
 		fi; \
 	done
 
+wcslib-obj-remove:
+	rm -f ${WCSLIB_OBJ} ${WCSLIB_DIR}/C/libwcs-PIC.a
+
 build-libpow:
 	@if [ "x${CFITSIO_OBJ}" = x ]; then \
 		echo "CFITSIO_OBJ macro is empty"; exit 1; \

=== ftools/guis/flaunch/Makefile ===
HD_COMPONENT_NAME	= ftools

HD_COMPONENT_VERS	= 

HD_INSTALL_EXTRA	= install-flaunch

include ${HD_STD_MAKEFILE}

FLAUNCH_LIB_FILES	= compress_tools.tcl dialog.tcl filestuff.tcl \
			  flaunch.tcl ftools_query.tcl list_it.tcl \
			  term_spawn.tcl tkterm.tcl doc

install-flaunch:
	@for file in ${FLAUNCH_LIB_FILES}; do \
		${HD_INSTALL} $$file ${HD_LIB}/flaunch/$$file ${HD_CP_P}; \
	done
	@${HD_INSTALL} flaunch ${HD_BIN}/flaunch ${HD_CP_P}

=== ftools/guis/fv/Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 HD_COMPONENT_VERS	= 
 
 HD_INSTALL_EXTRA	= install-fv
+
+HD_INSTALL_HELP		= fv.txt
 
 include ${HD_STD_MAKEFILE}

=== debian/changelog ===
ftools-fv (5.5+dfsg-2build2) focal; urgency=medium

  * No-change rebuild for libwcs soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 10:09:53 +0100

ftools-fv (5.5+dfsg-2build1) eoan; urgency=medium

  * No-change rebuild against libcfitsio8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Aug 2019 05:49:16 +0000

ftools-fv (5.5+dfsg-2) unstable; urgency=medium

  * Fix WCS initialization in PowWCS.c (Closes: #930857)

 -- Ole Streicher <olebole@debian.org>  Fri, 21 Jun 2019 15:58:22 +0200

ftools-fv (5.5+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5+dfsg. Rediff patches
  * Remove more external stuff
  * Remove shlib depends for ftools-fv
  * Push Standards-Version to 4.1.4. No changes required

 -- Ole Streicher <olebole@debian.org>  Fri, 21 Jun 2019 15:56:36 +0200

ftools-fv (5.4+dfsg-4) unstable; urgency=medium

  * Switch back to unstable
  * Adjust patches for use with `gbp pq`
  * Don't remove pkgindex.tcl on `make clean` (Closes: #894019)
  * Remove version requirement for iwidgets4 (Closes: #893407)

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Mar 2018 10:40:56 +0200

ftools-fv (5.4+dfsg-3~exp) experimental; urgency=low

  [ Sergei Golovan ]
  * Switch to experimental
  * Relax the Itcl version requirement to allow version 4 to be loaded.
  * Depend on Itcl and Itk indirectly through Iwidgets.
  * Remove a call to [fvPref save] during initial objects creation because
    it causes crash with Itcl 4.

  [ Ole Streicher ]
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.1.3. Change URLs to https
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Mar 2018 16:45:38 +0100

ftools-fv (5.4+dfsg-2) unstable; urgency=low

  * Update standards-version to 3.9.8 (no changes)
  * Update VCS fields, add d/u/metadata
  * Remove menu file. See Bug #741573 for details

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Sep 2016 13:25:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: ftools-fv
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               libcfitsio-dev | libcfitsio3-dev,
+Build-Depends: debhelper (>= 11),
+               libcfitsio-dev,
                tcl-dev,
                tk-dev,
                wcslib-dev
-Standards-Version: 3.9.6
-Homepage: http://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/ftools-fv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/ftools-fv.git
+Standards-Version: 4.1.4
+Homepage: https://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/
+Vcs-Git: https://salsa.debian.org/debian-astro-team/ftools-fv.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/ftools-fv
 
 Package: ftools-fv
 Architecture: all
-Depends: ftools-pow, itcl3, itk3, iwidgets4, ${misc:Depends}, ${shlibs:Depends}
+Depends: ftools-pow, iwidgets4, ${misc:Depends}
 Conflicts: fv
 Replaces: fv
 Suggests: saods9, xpa-tools
@@ -33,9 +33,7 @@
 Package: ftools-pow
 Architecture: any
 Multi-Arch: same
-Depends: itcl3,
-         itk3,
-         iwidgets4,
+Depends: iwidgets4,
          tcl-fitstcl,
          tix,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf "(cd tcltk/pow ; autoreconf)"

## ftools-fv 5.5.2%2Bdfsg

=== debian/changelog ===
ftools-fv (5.5.2+dfsg-2) unstable; urgency=medium

  * Make sure the correct "wish" is executed when fv is started
    (Closes: #1032280)
  * Push Standards-Version to 4.6.2, no changes

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Mar 2023 22:33:03 +0100

ftools-fv (5.5.2+dfsg-1) unstable; urgency=low

  * New upstream version 5.5.2+dfsg. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed
  * Push dh-compat to 13. Replace d/compat by dh-compat build dependency
  * Add "Rules-Requires-Root: no" to d/control
  * Replace MIT license name by Expat
  * Remove Conflicts/Replaces for fv

 -- Ole Streicher <olebole@debian.org>  Fri, 04 Sep 2020 11:16:57 +0200

## ftools-fv 5.5.2+dfsg

=== ftools/guis/Makefile ===
HD_COMPONENT_NAME	= ftools

HD_COMPONENT_VERS	=

HD_SUBDIRS		= fitsTcl powclient fgui fv
# unused: flaunch lheatkcon

include ${HD_STD_MAKEFILE}

=== tcltk/pow/Makefile ===
--- 
+++ 
@@ -18,9 +18,7 @@
 
 HD_INSTALL_LIBRARIES	= ${HD_LIBRARY_ROOT}
 
-HD_SHLIB_LIBS		= ${HD_LFLAGS} -l${CFITSIO} -l${TCL} -l${TK} ${XLIBS} ${CURL_LIB}
-
-HD_ADD_SHLIB_LIBS	= yes
+HD_SHLIB_LIBS		= ${HD_LFLAGS} -l${CFITSIO} -l${TCL} -l${TK} ${XLIBS} ${CURL_LIB} ${SYSLIBS}
 
 HD_INSTALL_SHELL_SCRIPTS	= POWplot
 
@@ -48,6 +46,8 @@
 
 # Get wcslib source files and prepend ${WCSLIB_DIR} prefix to each filename.
 WCSLIB_OBJ_TMP	= ${shell if [ -f ${WCSLIB_DIR}/makedefs ]; then cd ${WCSLIB_DIR}/C; ${MAKE} echo_modules FLAVOUR=${WCSFLAV} WCSTRIG=WRAPPER; fi | grep fitshdr}
+# This approach could be used if we opt to drop our local hacks to the wcslib/C/GNUmakefile:
+#WCSLIB_OBJ_TMP	= ${shell if [ -f ${WCSLIB_DIR}/makedefs ]; then cd ${WCSLIB_DIR}/C; ${MAKE} -n FLAVOUR=${WCSFLAV} WCSTRIG=WRAPPER; fi | grep MODULES  | sed "s%'%%g" | sed "s%echo   MODULES     := %%"}
 
 WCSLIB_OBJ	= ${shell if [ "x${WCSLIB_OBJ_TMP}" != "x" ]; then echo ${WCSLIB_OBJ_TMP}; fi | sed "s: : ${WCSLIB_DIR}/C/:g" | sed "s:^:${WCSLIB_DIR}/C/:"}

=== ftools/guis/powclient/Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 HD_INSTALL_LIBRARIES	= ${HD_LIBRARY_ROOT}
 
+HD_SHLIB_LIBS		= ${HD_LFLAGS} -l${TCL}
+
 HD_INSTALL_HEADERS	= powdata.h
 
 HD_INSTALL_EXTRA	= install-pow-extras

=== debian/changelog ===
ftools-fv (5.5.2+dfsg-2build1) mantic; urgency=medium

  * No-change rebuild against libwcs8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Jul 2023 04:11:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: ftools-fv
-Section: science
-Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 11),
+Section: science
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
                libcfitsio-dev,
                tcl-dev,
                tk-dev,
                wcslib-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/ftools-fv
+Vcs-Git: https://salsa.debian.org/debian-astro-team/ftools-fv.git
 Homepage: https://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/ftools-fv.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/ftools-fv
+Rules-Requires-Root: no
 
 Package: ftools-fv
 Architecture: all
-Depends: ftools-pow, iwidgets4, ${misc:Depends}
-Conflicts: fv
-Replaces: fv
-Suggests: saods9, xpa-tools
+Depends: ftools-pow,
+         iwidgets4,
+         ${misc:Depends}
+Suggests: saods9,
+          xpa-tools
 Description: Tool for viewing and editing FITS format files
  Fv provides a graphical user interface to data stored in FITS
  (Flexible Image Transport System) files.  Local files can be created,

## ftools-fv 5.5.3+dfsg

=== tcltk/pow/Makefile ===
--- 
+++ 
@@ -45,11 +45,21 @@
 	done
 
 # Get wcslib source files and prepend ${WCSLIB_DIR} prefix to each filename.
-WCSLIB_OBJ_TMP	= ${shell if [ -f ${WCSLIB_DIR}/makedefs ]; then cd ${WCSLIB_DIR}/C; ${MAKE} echo_modules FLAVOUR=${WCSFLAV} WCSTRIG=WRAPPER; fi | grep fitshdr}
-# This approach could be used if we opt to drop our local hacks to the wcslib/C/GNUmakefile:
-#WCSLIB_OBJ_TMP	= ${shell if [ -f ${WCSLIB_DIR}/makedefs ]; then cd ${WCSLIB_DIR}/C; ${MAKE} -n FLAVOUR=${WCSFLAV} WCSTRIG=WRAPPER; fi | grep MODULES  | sed "s%'%%g" | sed "s%echo   MODULES     := %%"}
+#WCSLIB_OBJ_TMP	= ${shell if [ -f ${WCSLIB_DIR}/makedefs ]; then cd ${WCSLIB_DIR}/C; ${MAKE} echo_modules FLAVOUR=${WCSFLAV} WCSTRIG=WRAPPER; fi | grep fitshdr}
 
-WCSLIB_OBJ	= ${shell if [ "x${WCSLIB_OBJ_TMP}" != "x" ]; then echo ${WCSLIB_OBJ_TMP}; fi | sed "s: : ${WCSLIB_DIR}/C/:g" | sed "s:^:${WCSLIB_DIR}/C/:"}
+#WCSLIB_OBJ	= ${shell if [ "x${WCSLIB_OBJ_TMP}" != "x" ]; then echo ${WCSLIB_OBJ_TMP}; fi | sed "s: : ${WCSLIB_DIR}/C/:g" | sed "s:^:${WCSLIB_DIR}/C/:"}
+
+WCSLIB_OBJ	= ${WCSLIB_DIR}/C/cel.o ${WCSLIB_DIR}/C/dis.o \
+		  ${WCSLIB_DIR}/C/fitshdr.o ${WCSLIB_DIR}/C/lin.o \
+		  ${WCSLIB_DIR}/C/log.o ${WCSLIB_DIR}/C/prj.o \
+		  ${WCSLIB_DIR}/C/spc.o ${WCSLIB_DIR}/C/sph.o \
+		  ${WCSLIB_DIR}/C/spx.o ${WCSLIB_DIR}/C/tab.o \
+		  ${WCSLIB_DIR}/C/wcs.o ${WCSLIB_DIR}/C/wcsbth.o \
+		  ${WCSLIB_DIR}/C/wcserr.o ${WCSLIB_DIR}/C/wcsfix.o \
+		  ${WCSLIB_DIR}/C/wcshdr.o ${WCSLIB_DIR}/C/wcspih.o \
+		  ${WCSLIB_DIR}/C/wcsprintf.o ${WCSLIB_DIR}/C/wcstrig.o \
+		  ${WCSLIB_DIR}/C/wcsulex.o ${WCSLIB_DIR}/C/wcsunits.o \
+		  ${WCSLIB_DIR}/C/wcsutil.o ${WCSLIB_DIR}/C/wcsutrn.o
 
 ${WCSLIB_OBJ}:
 	@for file in ${WCSLIB_OBJ}; do \
@@ -58,15 +68,12 @@
 		fi; \
 	done
 
-wcslib-obj-remove:
-	rm -f ${WCSLIB_OBJ} ${WCSLIB_DIR}/C/libwcs-PIC.a
+#wcslib-obj-remove:
+#	rm -f ${WCSLIB_OBJ} ${WCSLIB_DIR}/C/libwcs-PIC.a
 
 build-libpow:
 	@if [ "x${CFITSIO_OBJ}" = x ]; then \
 		echo "CFITSIO_OBJ macro is empty"; exit 1; \
-	fi
-	@if [ "x${WCSLIB_OBJ}" = x ]; then \
-		echo "WCSLIB_OBJ macro is empty"; exit 1; \
 	fi
 	${HD_MAKE} pow HD_LIBRARY_ROOT=pow \
 		HD_LIBRARY_OBJ="${HD_LIBRARY_SRC_c:.c=.${OSUF}} ${CFITSIO_OBJ} ${WCSLIB_OBJ}"

=== ftools/guis/fgui/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 HD_COMPONENT_VERS	= 
 
-HD_INSTALL_EXTRA	= install-fgui
+HD_INSTALL_ONLY_EXTRA	= install-fgui
 
 HD_INSTALL_HELP		= doc/fgui.html doc/fileSelection.html

=== ftools/guis/fv/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 HD_COMPONENT_VERS	= 
 
-HD_INSTALL_EXTRA	= install-fv
+HD_INSTALL_ONLY_EXTRA	= install-fv
 
 HD_INSTALL_HELP		= fv.txt

=== ftools/guis/powclient/Makefile ===
--- 
+++ 
@@ -13,9 +13,9 @@
 
 HD_SHLIB_LIBS		= ${HD_LFLAGS} -l${TCL}
 
-HD_INSTALL_HEADERS	= powdata.h
+#HD_INSTALL_ONLY_HEADERS	= powdata.h
 
-HD_INSTALL_EXTRA	= install-pow-extras
+HD_INSTALL_ONLY_EXTRA	= install-pow-extras
 
 include ${HD_STD_MAKEFILE}

=== debian/changelog ===
ftools-fv (5.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5.3+dfsg
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 24 Jun 2024 12:50:25 +0200

ftools-fv (5.5.2+dfsg-3) unstable; urgency=medium

  * Add includes for missing function declarations. (Closes: #1066520)

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Mar 2024 17:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ftools-fv
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
@@ -9,7 +8,7 @@
                tcl-dev,
                tk-dev,
                wcslib-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ftools-fv
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ftools-fv.git
 Homepage: https://heasarc.gsfc.nasa.gov/docs/software/lheasoft/ftools/fv/
